package com.zd.laboratory.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import com.zd.common.core.web.domain.BaseEntity;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 拍照检查附件对象 lab_photo_inspection
 *
 * @author zd
 * @date 2021-08-31
 */
@ApiModel("拍照检查附件表")
public class LabPhotoInspection extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @ApiModelProperty(value = "${comment}")
    private Long id;
// 废弃
//    /**
//     * 进出记录表id
//     */
//    @ApiModelProperty("进出记录表id")
//    @Excel(name = "进出记录表id")
//    private Long accessId;
// 废弃
//    /**
//     * 附件对应标题（参照字典表）
//     */
//    @ApiModelProperty("附件对应标题（参照字典表）")
//    @Excel(name = "附件对应标题", readConverterExp = "参=照字典表")
//    private Integer annexTitle;
// 废弃
//    /**
//     * 附件url地址
//     */
//    @ApiModelProperty("附件url地址")
//    @Excel(name = "附件url地址")
//    private String annexUrl;

    /**
     * 部门id
     */
    @ApiModelProperty("部门id")
    @Excel(name = "部门id")
    private Long deptId;

    /**
     * 部门名称
     */
    @ApiModelProperty("部门名称")
    @Excel(name = "部门名称")
    private String deptName;

    /**
     * 创建人（用于数据权限）
     */
    @ApiModelProperty("创建人（用于数据权限）")
    @Excel(name = "创建人", readConverterExp = "用=于数据权限")
    private Long userId;

    @ApiModelProperty("垃圾桶清理照片附件url地址")
    @Excel(name = "垃圾桶清理照片附件url地址")
    @NotBlank(message = "垃圾桶清理照片不能为空")
    private String garbageUrl;

    @ApiModelProperty("危险设备照片附件url地址")
    @Excel(name = "危险设备照片附件url地址")
    private String dangerousUrl;

    @ApiModelProperty("危险源照片附件url地址")
    @Excel(name = "危险源照片附件url地址")
    private String sourceRiskUrl;

    @ApiModelProperty("实验室照片附件url地址")
    @Excel(name = "实验室照片附件url地址")
    @NotBlank(message = "实验室照片不能为空")
    private String subUrl;

    @ApiModelProperty("实验室id")
    private Long subjectId;


    public String getGarbageUrl() {
        return garbageUrl;
    }

    public void setGarbageUrl(String garbageUrl) {
        this.garbageUrl = garbageUrl;
    }

    public String getDangerousUrl() {
        return dangerousUrl;
    }

    public void setDangerousUrl(String dangerousUrl) {
        this.dangerousUrl = dangerousUrl;
    }

    public String getSourceRiskUrl() {
        return sourceRiskUrl;
    }

    public void setSourceRiskUrl(String sourceRiskUrl) {
        this.sourceRiskUrl = sourceRiskUrl;
    }

    public String getSubUrl() {
        return subUrl;
    }

    public void setSubUrl(String subUrl) {
        this.subUrl = subUrl;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

//
//    public void setAnnexTitle(Integer annexTitle) {
//        this.annexTitle = annexTitle;
//    }
//
//    public Integer getAnnexTitle() {
//        return annexTitle;
//    }



    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getUserId() {
        return userId;
    }


    public Long getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Long subjectId) {
        this.subjectId = subjectId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("deptId", getDeptId())
                .append("deptName", getDeptName())
                .append("userId", getUserId())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }

}
